package chat;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;

public class Globals {
	
	public static final String HOST = "localhost"; 
	public static final int PORT = 7890; 
		
    /** Receives a line from BufferedReader in 
     * @param in
     * @return
     * @throws IOException
     */
	public static String readLine(BufferedReader in) throws IOException {
		String line = in.readLine();
        System.out.println("<--- RECEIVED: " + line);
		return line;
	}


    /** Sends a line to PrintWriter out
     * @param out
     * @param str
     * @throws IOException
     */
    public static void writeLine(PrintWriter out, String line) throws IOException {
        out.print(line);
        out.print("\r\n");
        out.flush();
        System.out.println("---> SENT: " + line);
   }



}
